Things are getting sticky at a key highway interchange in southwest Omaha.

That’s because the Nebraska Department of Transportation is spending about $750,000 to apply a skid-resistant coating through the long curve connecting northbound Interstate 80 with eastbound I-80, near the merge with Interstate 680.

The coating, called “high-friction surface treatment,” mixes a thin epoxy with a special type of aggregate made of sharply angular crushed rock.

A research report by the Federal Highway Administration estimates the coating reduces overall crashes by 57% and wet-pavement crashes by 83%.

“It increases the friction and keeps the tires on the pavement,” said Barbara Gerbino-Bevins, NDOT’s district construction engineer.

A week ago, NDOT began diverting through traffic on I-80 eastbound and I-680 northbound onto the L-I-Center Road bypass between 9 p.m. and 6 a.m. so contractors can lay down the coating and let it dry. These closures are expected to continue throughout the fall.

During the night, the diversion doesn’t cause much trouble — just a little confusion for the unsuspecting driver who must negotiate a series of exit-ramp choices correctly to emerge in the right place on the other side.

But on Wednesday, the closures bled over into the morning rush hour and caused a 6-mile backup, all the way to the Highway 50/144th Street exit. The highway didn’t reopen until 8:15 a.m., more than two hours behind schedule.

Gerbino-Bevins said the delay occurred after a cement-truck load of concrete used for road patching failed an inspection, forcing the contractor to order a new load. The highway segment couldn’t reopen until it was fully dry.

“It made a lot of people late for work, including me,” she said.

Skid-resistant road surfaces were first tested in Great Britain in the 1960s, but they weren’t imported to the United States until the early 2000s, according to a FHA information page.

They are especially recommended for use on steep grades, highway interchanges, and approaches to high-volume intersections. They are in use in almost every state.

Gerbino-Bevins said the high-friction coating has been applied on two connectors in the Omaha area: the ramp from southbound I-680 to eastbound I-80, and in Waterloo where U.S. 275 turns into the West Dodge Expressway.

She said NDOT also has plans eventually to add the coating on the westbound ramp at the I-80/I-680 merge. The funding isn’t yet programmed, though.

Nighttime drivers confounded by the current detour can take comfort that the road will be safer once the work is finished, especially in damp conditions.

Also, it won’t need a new coat for another five to seven years.

What’s New

North 90th Street will be restricted to one lane southbound at Bedford Avenue for sewer repair in the outside curb lane until Wednesday.

Southbound traffic on South 90th Street will be shifted to the center lane at M Street for street repair until Wednesday.

will be shifted to the center lane at for street repair until Wednesday. Southbound traffic on South 90th Street between the east and west legs of J Street will be restricted southbound until Aug. 28 for utility work.

will be restricted southbound until Aug. 28 for utility work. Dodge Street between 34th and 35th Streets will be restricted to one lane eastbound for street repair in the two inside lanes through Monday.

will be restricted to one lane eastbound for street repair in the two inside lanes through Monday. Leavenworth Street between South 50th Avenue and South 50th Street will be restricted to one lane eastbound for --optic repair in the outside curb lane until Wednesday.

will be restricted to one lane eastbound for --optic repair in the outside curb lane until Wednesday. Lane restrictions can be expected on South 42nd Street between Center and Mayberry Streets until Thursday because of curb ramp installation.

until Thursday because of curb ramp installation. Lane restrictions can be expected on South 42nd Street between Washington and R Streets until Monday because of milling and repaving work.

until Monday because of milling and repaving work. Hartman Avenue between North 116th Circle and North 117th Circle will be closed for utility work until Wednesday.

will be closed for utility work until Wednesday. Wycliffe Drive between North 155th Circle and North 156th Street will be closed for sewer repair until Thursday.

will be closed for sewer repair until Thursday. Pacific Street between South 95th and South 94th Streets will be restricted to one lane in each direction for manhole repair until Wednesday.

will be restricted to one lane in each direction for manhole repair until Wednesday. Westbound traffic on Grover Street between South 70th and South 72nd Streets will be shifted to the center lane for utility work until Saturday.

will be shifted to the center lane for utility work until Saturday. Eastbound traffic on Blondo Street between North 67th and North 66th Streets will be shifted to the center lane for street panel repair until Wednesday.

Around Omaha

Intermittent lane and shoulder closures will take place on I-80 at the Giles Road, 84th Street, 72nd Street, 60th Street and 13th Street exits for a project to create accident investigation sites. Completion is expected in the fall.

Northwest (north of West Dodge Road and west of I-680)

Eagle Run Drive between North 140th Street and West Maple Road will have various lane restrictions for panel replacement until Sept. 19 .

will have various lane restrictions for panel replacement until Sept. 19 North 132nd Street between Eagle Run Drive and Birch Drive will have various lane restrictions for street panel replacement until Friday.

will have various lane restrictions for street panel replacement until Friday. The 228th Street Bridge over Nebraska Link 28B (the western extension of the West Dodge Expressway) is reduced to one lane for bridge preservation and repairs through fall. A temporary traffic signal on either end of the bridge will control traffic.

is reduced to one lane for bridge preservation and repairs through fall. A temporary traffic signal on either end of the bridge will control traffic. Blondo Street between North 117th Street and Papillion Parkway will have various lane restrictions for bridge repair until Nov. 10.

will have various lane restrictions for bridge repair until Nov. 10. West Maple Road between North 180th and North 177th Streets will be restricted to one lane eastbound until Sept. 25 for roadwork related to the construction of a Costco warehouse store. The right lane of northbound 180th Street from Emmet Street to just north of Evans Street also is closed as part of the same project.

will be restricted to one lane eastbound until Sept. 25 for roadwork related to the construction of a Costco warehouse store. The right lane of northbound also is closed as part of the same project.

State Street is closed from 156th to 147th Streets due to grading and paving of the three-lane roadway until fall.

is closed from due to grading and paving of the three-lane roadway until fall.

Fort Street is closed from 183rd to 195th Streets due to grading and paving of the three-lane roadway until fall.

is closed from due to grading and paving of the three-lane roadway until fall. North 108th Street between Burt Circle and Decatur Street will be closed with local access only for street widening until Nov. 30.

Northeast (north of Dodge Street and east of I-680)

Leavenworth Street between Saddle Creek Road and South 49th Street will be restricted to one lane westbound for utility work until Sept. 24.

will be restricted to one lane westbound for utility work until Sept. 24. Traffic in the southbound curb lane on North 16th Street and the northbound curb lane on North 17th Street will be shifted to the center lane between Cuming Street and Mike Fahey Street due to construction until Sept. 9.

and the northbound curb lane on will be shifted to the center lane due to construction until Sept. 9. The right lane on Interstate 680 is closed from the Northeast 31st Street interchange east to the Iowa state line until Dec. 29 while workers repair a damaged expansion joint on the west end of the Mormon Bridge.

is closed until Dec. 29 while workers repair a damaged expansion joint on the The Parker Street bridge over U.S. Highway 75 (North Freeway) will be closed for road improvements and to repair and paint several bridge structures through September.

will be closed for road improvements and to repair and paint several bridge structures through September. The right southbound lane of U.S. Highway 75/North Freeway at Weber Street is closed for road construction until Aug. 28.

is closed for road construction until Aug. 28. Poppleton Avenue between Loveland Drive and Ridgewood Avenue will be closed for street improvements until Thursday.

will be closed for street improvements until Thursday. Dodge Street between North 72nd Street and North 76th Street/Rose Blumkin Drive will have varying lane restrictions for street improvements connected to the Crossroads redevelopment through December.

will have varying lane restrictions for street improvements connected to the Crossroads redevelopment through December. Westbound Dodge Street between North 38th Avenue and North 41st Street will be restricted for building construction in the outside curb lane until Nov 7.

will be restricted for building construction in the outside curb lane until Nov 7. Traffic is restricted to one lane in each direction on North 72nd Street between Bedford Avenue and Pinkney Street until Sept. 29 because of a water-main break.

until Sept. 29 because of a water-main break. North 65th Avenue between Lake and Miami Streets will be closed until Aug. 30 for installation of storm sewers under Omaha’s “Clean Solutions for Omaha” program.

will be closed until Aug. 30 for installation of storm sewers under Omaha’s “Clean Solutions for Omaha” program. The eastbound lane of Martin Avenue between North 34th and North 30th Streets will be closed for utility work until Tuesday.

will be closed for utility work until Tuesday. The intersection of North 18th and Grace Streets will be closed for sewer work until Nov. 28.

will be closed for sewer work until Nov. 28. North 16th Street will be closed at various points between Pinkney and Clark Streets for CSO sewer separation improvements through August 2024. Truck detour routes will be posted.

will be closed at various points between for CSO sewer separation improvements through August 2024. Truck detour routes will be posted. Because of construction at the Kiewit corporate campus, North 15th Street between Cass and Mike Fahey Streets will be restricted to northbound traffic only until March 15, 2024. In addition, North 15th Street between Mike Fahey and California Streets will be restricted southbound, and Mike Fahey Street between North 16th and North 15th Streets will have eastbound traffic shifted to the center lane. North 16th Street between Cuming and Mike Fahey Streets will have restrictions in the southbound curb lane.

will be restricted to northbound traffic only until March 15, 2024. In addition, will be restricted southbound, and will have eastbound traffic shifted to the center lane. will have restrictions in the southbound curb lane. Grace Street between North 16th and North 18th Streets is closed for CSO storm sewer upgrades until Sept. 26.

is closed for CSO storm sewer upgrades until Sept. 26. Cuming Street between North 15th and North 20th Streets will have various lane restrictions for ADA curb ramp construction until Monday.

Southwest (south of West Dodge Road and west of I-680/80)



South 156th Street between Pacific Street and Wycliffe Drive/Nottingham Drive will have closures for street widening until November.

will have closures for street widening until November. Pacific Street between South 155th and South 157th Streets will have lane restrictions for street widening until November.

will have lane restrictions for street widening until November. South 168th Street between Q Street and West Center Road will have lane restrictions for street widening until December 2024.

Southeast (south of Dodge Street and east of I-680/80)

Shoulder closures on the inside lane and occasional nighttime lane closures (9 p.m. to 6 a.m.) will occur on I-480 from U.S. Highway 75/Kennedy Freeway to North 14th Street, I-80 from the Iowa state line to Nebraska Highway 370, and I-680 from West Dodge Road (Exit 3) to Blair High Road (Exit 6) until the end of August while workers seal concrete median barriers.

until the end of August while workers seal concrete median barriers. Nighttime lane closures from 9 p.m. to 6 a.m. are planned on the Kennedy Freeway (U.S. Highway 75) from the Interstate 480 interchange to Chandler Road, including entrance and exit ramps, to allow for milling and resurfacing of the roadway, through Oct. 31.

including entrance and exit ramps, to allow for milling and resurfacing of the roadway, through Oct. 31. South 48th Street between Howard and Leavenworth Streets will be closed for utility work until Sept. 5.

will be closed for utility work until Sept. 5. South 42nd Street between the I-80 eastbound exit ramp and D Street will be closed for bridge reconstruction until December.

will be closed for bridge reconstruction until December. 14th Street will be closed between Farnam and Douglas Streets, and curbside lanes will be closed on Farnam, Douglas and 15th Street until early 2026 because of construction of the new Mutual of Omaha tower.

will be closed and curbside lanes will be closed on until early 2026 because of construction of the new Mutual of Omaha tower. Saddle Creek Road between Emile and Leavenworth Streets will be restricted to one lane in each direction for utility work in the southbound lanes until Thursday .

will be restricted to one lane in each direction for utility work in the southbound lanes until Thursday The eastbound curb lane on Douglas Street will be closed between 44th and Saddle Creek Road for construction until December.

will be closed between for construction until December. Q Street between South 61st and South 72nd Streets will be closed for street improvements until Aug. 27.

will be closed for street improvements until Aug. 27.

I Street between South 108th and South 102nd Streets will be closed to through traffic for street widening until November.

will be closed to through traffic for street widening until November. Grover Street between South 56th Street and South 59th Avenue will be closed for street reconstruction through December.

Sarpy/Cass Counties

204th Street between Capehart and Westridge Roads near Gretna will close for construction through August as part of the Gretna Crossing Park project. Capehart Road east of 204th Street also is closed until late August as part of the same project.

near Gretna will close for construction through August as part of the Gretna Crossing Park project. also is closed until late August as part of the same project. 192nd Street from Lincoln Road to the railroad bridge is closed through the fall for paving and bridge replacement as part of the CONNECTSarpy project.

is closed through the fall for paving and bridge replacement as part of the CONNECTSarpy project. Platteview Road from Highway 31 to 210th Street is closed through January to allow construction of a three-lane road. Pflug Road is suggested as an alternate route.

is closed through January to allow construction of a three-lane road. Pflug Road is suggested as an alternate route. Due to wet weather, the reopening of Meridian Street from 185th to 192nd Streets and the southern stretch of 192nd Street has been postponed until late August.

has been postponed until late August. Giles Road from 188th to 192nd Streets will be closed for at least an additional week for paving.

will be closed for at least an additional week for paving. Lane restrictions can be expected on U.S. 34/75 from Plattsmouth to the Bellevue bridges through September to allow for bridge deck repairs, and from Nebraska Highway 1 to Oak Hill Road in Plattsmouth through November 2024 to allow for road construction.

through September to allow for bridge deck repairs, and from through November 2024 to allow for road construction. U.S. 34 will have a lane closed in each direction over U.S. 75 and over the Union Pacific Railroad/BNSF Railway and South Fifth Street .

will have a lane closed in each direction and over the Union Pacific Railroad/BNSF Railway . The right lane is closed in both directions on Nebraska Highway 370/Cornhusker Road from 192nd to 180th Streets east of Gretna due to road construction.

due to road construction. A portion of 234th Street north of Schram Road just west of Gretna is closed for replacement of a 550-foot area of culvert until December.

Around Nebraska

Lane restrictions are planned on I-80 between Phillips and Giltner (reference posts 318.58 to 324.55) for road resurfacing, bridge repair and replacement of culverts and guardrails. Work will be performed from 7 p.m. to 10 a.m., through November.

(reference posts 318.58 to 324.55) for road resurfacing, bridge repair and replacement of culverts and guardrails. Work will be performed from 7 p.m. to 10 a.m., through November. Lane closures also are planned on I-80 between the Utica and Pleasant Dale exits (reference posts 365.14 to 387.27) while contractors install guardrails in the median. Work will be performed from 7 p.m. to 7 a.m., Sunday through Friday. Completion is expected in November.

(reference posts 365.14 to 387.27) while contractors install guardrails in the median. Work will be performed from 7 p.m. to 7 a.m., Sunday through Friday. Completion is expected in November. Alternating lane closures are planned overnight on I-80 between Exit 382 (Milford) and Exit 395 (Northwest 48th Street) west of Lincoln because of bridge reconstruction and guardrail repair.

west of Lincoln because of bridge reconstruction and guardrail repair. Lane closures are planned on U.S. Highway 275 from Nebraska Highway 36 to U.S. 30/East 23rd Street in Fremont while workers repair pavement and bridges. Completion is expected in fall.

while workers repair pavement and bridges. Completion is expected in fall. The left lane of eastbound U.S. 275 between Military Avenue and Morningside Road in Fremont is closed for bridge construction work.

is closed for bridge construction work. Nebraska Highway 79 is closed in Dodge County at North Bend from U.S. 30 to County Road R , with detours in place through the fall.

is closed in Dodge County at , with detours in place through the fall. U.S. Highway 77 between Winnebago and Walthill is closed until November while two box culverts are replaced, with traffic detoured via U.S. Highway 75 and Nebraska Highway 94. Then one lane will reopen, and traffic will be maintained with temporary traffic signals, flaggers, and a pilot car until the project is completed in mid-2024.

In Iowa

The Interstate 29 southbound ramp to Interstate 480/U.S. Highway 6 Omaha in Council Bluffs is closed for construction until Oct. 6.

in Council Bluffs is closed for construction until Oct. 6. Occasional nighttime lane and ramp closures may occur on Interstate 80 at the Madison Avenue interchange in Council Bluffs through June 2026 while the interchange is being rebuilt.

through June 2026 while the interchange is being rebuilt. The South Expressway from I-80 to 19th Avenue in Council Bluffs will be rebuilt until November, with lane closures expected while one-lane traffic is maintained in each direction.

will be rebuilt until November, with lane closures expected while one-lane traffic is maintained in each direction. 400th Street south of Iowa Highway 92 in Carson, Iowa, in eastern Pottawattamie County, will be closed until Sept. 8 for replacement of a concrete culvert.

PhotoFiles: Interstate 80 dedication in 1961 Interstate 80 opening Interstate 80, Gretna Interstate 80, Lincoln Interstate 80 dedication Interstate 80 dedication